%define upstream_name    Data-Dumper-Perltidy
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Stringify and pretty print Perl data structures
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Perl::Tidy)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
'Data::Dumper::Perltidy' encapsulates both 'Data::Dumper' and 'Perl::Tidy'
to provide a function that stringifies a Perl data structure in a pretty
printed format. See the documentation for the Data::Dumper manpage and the
Perl::Tidy manpage for further information.

Data::Dumper can be used for, among other things, stringifying complex Perl
data structures into a format that is suitable for printing and debugging.

Perl::Tidy can be used to pretty print Perl code in a consistent and
configurable manner.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Wed Oct 26 2011 shlomif <shlomif> 0.10.0-1.mga2
+ Revision: 158245
- imported package perl-Data-Dumper-Perltidy


* Wed Oct 26 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
